
@import "../partials/colors";
@import '../partials/reset';
@import '../partials/demensions';
@import '../partials/mixins';
@import url(https://fonts.googleapis.com/css2?family=Montserrat&display=swap);

.page-overview-container{
    .loading-form{
                
        display: flex !important; 
        justify-content: center ;
    
}
    min-height: 80vh;
    max-width: $maxWidthPage;
    width: 100%;
    .basket-navigation-container{
        max-width: $maxWidthPage;
        margin: $normalMargin;
        @include flexBox();
        ul{
            li{
                text-align: center;
                width: 150px;
                padding:$normalPadding;
                display:inline-block;
                @include border();
                margin: 5px;
                &.active{
                    background-color: $black;
                    color: $white;
                }
            }
        }
        
    }
    .checkout-window{
        width: 100%;
        padding: $bigPadding 0;
        @include flexBox(row-reverse,space-around,flex-start);
    
        .address-view{
            width: 80%;
        }
        .user-overview{
            padding: $normalPadding;
            background-color: $secondBackground;
            width: 50%;
            h2{
                font-size: $fontMedium;
            }
            div{
                padding: $normalPadding 0;
            }
            .delivery{
                border-bottom: 1px solid $black;
                font-size: $fontNormal;
            }
            .billing{
                border-bottom: 1px solid $black;
                font-size: $fontNormal;
            }
            .confirm-button{
                &:hover{
                    cursor: pointer;
                }
                width: 100%;
                background-color: $black;
                color: $white;
                padding: 10px 0 ;
                button{
                    font-size: $fontNormal;
                    color: $white;
                    width: 100%;
                    padding: $smallPadding;
                }
            }



        }
        .user-validation{
            
            p{
                padding:$normalPadding;
            }
            .loggedin-user{
               @include flexBox();
                .login-proceed-button{
                    &:hover{
                        cursor: pointer;
                    }
                    color:$white;
                    background-color: $black;
                }
            }

            text-align: center;
            width: 40%;
  
            h2{
                padding:$normalPadding;
                font-size: $fontMedium;
            }
            .please-register{
                &:hover{
                    cursor: pointer;
                }
                text-decoration: underline;

            }
        }
        .checkout-overview{
            
            width: 40%;
            padding: $bigPadding ;
            background-color: $secondBackground ;
            padding: $normalPadding;
            margin-bottom: 50px;
            @include flexBox(column,flex-start,center);
            h2{
                @include fontSubtitle();
                @include borderBottom();
                margin-bottom: $normalMargin;
                
            }
            .product-overview{
         
                width: 100%;
                @include flexBox(column);
                .price-line-true{
                    text-decoration: line-through;
                }
                .row{
                    .price{
                        text-align: right;
                    }
                    max-width: 100%;
                    padding-bottom: $normalPadding;
                    @include borderBottom();
                    width: 100%;
                    @include flexBox(row,space-between);
                    img{
                        width:100px;
                        padding: $normalPadding;
                    }
                    p{
                        padding: 10px $normalPadding;
                    }
                }
            }
            .head{
                text-transform: uppercase;
                width: 100%;
                @include flexBox(row,space-between);
                padding: $normalPadding 0;
                @include borderBottom();
            }
            .middel{
                text-transform: uppercase;
                padding: $bigPadding 0;
                width:100%;
                text-align: left;
                border-bottom: 1px solid $black;
                p{
                    line-height: 1.3rem;
                    
                }
            }
            .bottem{
                padding: $bigPadding 0;
                width:100%;
    
                .total{
                    width: 100%;
                    .deliv{
                        padding: $normalPadding 0;
                        @include flexBox(row,space-between);
                    }
                    .grand-total{
                        text-transform: uppercase;
                        padding: $normalPadding 0;
                        @include flexBox(row, space-between);
                        padding-bottom: 40px;
                    }
                    border-bottom: 1px solid $black;
                }
                .basket-submit{
                    padding: $bigPadding 0;
                    @include flexBox(row, center);
                    button{
                        border-radius: 2px;
                        width: 250px;
                        height: 40px;
                        background-color: $black;
                        color:$white;
                        transition: all 500ms;
                        font-size: 1.5rem;
                        &:hover{
       
                            width: 255px;
                            height: 42px;
                            font-size: 1.6rem;
                            transition: all 500ms;
                        }
                    }
                }
              
    
            }
   
    
        
    }
    .user-validation{
        width: 40%;
 
        .loading-form{
  
            display: flex !important; 
            justify-content: center ;
        
    }
    }
}
@media only screen and (max-width: $tabletScreen){
    .checkout-window{
        @include flexBox(column-reverse);
        .address-forms{
            background-color: $secondBackground;
            width: 100% !important;
            .add-address-form{
                width: 90%;
            }
            .from-disabled{
                
            }
            .confirm-address{
                div{
                    width: 80%;
                }
            }
        }

        .checkout-overview{
            p{
                padding: $normalPadding 0 !important;
            }
            .name{
                
                font-size: 1.2rem;
            }
            img{
                padding-left: 0 !important;
            }
            
            padding: $normalPadding ;
            width: 80% ;
            .head{
                width:  90%;
            }
            .middel{
                width: 90% !important;
            }
            .bottem{
                width: 90% !important;
            }
            .product-overview{
              width: 90%;
              
               
            }
        }
        .user-overview{
            width: 80% !important;


        }
        .user-validation{
          width: 100%;
        }

    }
}

@media  only screen and (max-width:$smallScreen){
    .basket-navigation-container{
        @include flexBox(column);
        ul{
            li{
                width: 80vw;
                text-align: center;
      
                display:block;
                border: 1px solid $black;
                &.active{
                    background-color: $black;
                    color: $white;
                }
            }
        }
        
    }
   
    
}

}
